


				CONTENTS
				--------

	Introduction.	...	...	...	...	...
	Battery charging.	...	...	...	...
	Hardware requirements.	...	...	...
	First time operation.	...	...	...
	File transfer.	...	...	...	...	...
		Vcomm.	...	...	...	...	...
		Local PC.	...	...	...	...	...
		Remote PC.	...	...	...	...
	At the computer.	...	...	...	...

	Using the barcode reader.	...	...
	Programming for barcode reading.	...

	OPL comms procedures.	...	...	...


	Demonstration program.	...	...	...
 	Using data files.	...	...	...



				INTRODUCTION
				------------

	The JPX5 Barcode Reader combines barcode reader, comms port and
	battery pack into one unit.

	As the Reader has its own battery pack it allows a practical working
     time between charges when using scanners that take a lot of current
 	such as Laser Scanners and CCD Scanners.

	The VDATA Datapack is available for use with the Reader. VDATA
	enables you to create your own Data Collecting Applications
	without writing a computer program.

	The floppy disk supplied includes the following programs:

		BAR		A simple demonstration program that displays
				the barcodes read by the Reader.

		STOCK	A suite of seven OPL procedures that form an
				elementary data collecting package. The procedures
				collect and edit the data for a database file called
				"product.odb".	The database file can be transferred
				to and from a PC.

				These procedures can be tailored to suit different
				applications of a simple nature.

		VCOMM	Enables file transfer to and from a local PC or,
				alternatively,	a remote PC via a modem. Also
				enables multiple OPL procedures to be loaded into
				a Datapack.

		CL.EXE    The PSION communications software.



				BATTERY CHARGING
				----------------

	Charge the battery when the needle of the level meter
	is on the division line between red and green. To charge, connect
	a PSION Mains Adaptor into the jack socket in the top
	of the Reader and charge for 14 to 16 hours. This method will
	give the battery pack its maximum life.

	Repeatedly charging the battery for short periods of time will
	shorten the life of the battery and make it unable to give its full
	650mA hours of current. Charging the battery for more than 16 hours
	will have the same effect.

	You may charge the Reader on or off the Organiser. It is safe
	either way.

	If there is no battery in the Organiser, the Reader will drive
	the whole system. However it is bad practice to have no battery
	in the Organiser as all data will be lost from the main memory
	if the reader is unplugged for any reason.


				HARDWARE REQUIREMENTS
				---------------------

	As well as a PC and the JPX5 Reader, you will need:

	1) A Psion Organiser II.
	2) A comms cable No:

				JPXXT for IBM XT computers
				JPXAT for IBM AT computers

	3) Datapack(s) for holding your Applications software and the OPL
	   procedures that come with the Reader.

	4) Datapack(s) or Rampack(s) for holding your data files.

	5) A modem cable No: JPXMOD.



				FIRST TIME OPERATION
				--------------------

	On your PC, create a new directory (Say,"JPX5") on the hard disk.
	Copy the floppy disk supplied onto this new directory.
	Typically the command line will read:

	C:\JPX5\>copy a:*.* c:\jpx5\*.*/v

	(See your DOS Manual if necessary.)

	Insert a Datapack into one of the Organiser side slots.

	Plug the JPX5 Reader into the Organiser top slot.

	Connect the reader to a serial port on the computer using the comms
	cable. (Use COM1 for the purpose of this description.)

	On the computer, go into your "JPX5" directory and type:

						CL

     (Followed by a carriage return)

	*******************************************************************
	You only have to carry out the actions that follow once. Therafter,
	life	becomes easier:
	*******************************************************************

	On the Organiser, press | ON/CLEAR | twice.

	Press | P | to enter the Organiser PROG menu then press | N | for NEW.

	The display should read: NEW A:  If not, press the | MODE | key until
	it does.

	Now type:  VL  and press | EXE |  twice.

	The display reads:  VL:

	Making frequent use of the | SHIFT | key, type in the following three

	lines of OPL code: (Press | EXE | at the end of each line)


			LSET:(-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2)

			XTRECV:("VC","A:"+"VC",3)

			VC:

	(The double spacing of the lines of code is not essential.)

	Press | MODE |  then | T | to translate the code.

	Press | EXE | to Save the code, then  RUN the code by pressing

	| R | | EXE |.

	The VL procedure that you typed in will now get the file transfer
	procedures VCOMM from the PC. Choose A: to store VCOMM for the moment.

	When the VCOMM suite is loaded, the display will instruct you to press

	| EXE | | ON/CLEAR | | V | to bring up the main file transfer menu:

					PC  MODEM  QUIT

	Press | Q | to go to the Organiser top menu. Note that VCOMM has been
	added to the end of the menu.

	The Organiser/JPX5 system is now ready for NORMAL OPERATION.



					FILE TRANSFER
					-------------

	VCOMM

  	From the VCOMM menu, you can now send, receive and delete single files
	and opl procedures.	You can also receive and/or delete a list of OPL
	procedures in one simple operation.

	VCBOOT

	In the future, copy the procedure VCBOOT from A: (Or from the PC) to all
	your working datapacks. You may use RECV from the VCOMM menu to do this.
	Also include VCBOOT in all your procedure lists for own applications.
	Then, if VCOMM has been removed, running VCBOOT will get VCOMM from the
	PC.

	From the Organiser main menu, press | V |. The VCOMM menu appears:

					PC  MODEM  QUIT


	LOCAL PC

	Select PC from the VCOMM	menu. The Organiser display gives you some
	guidance then the PC menu appears:

					RECV XMIT BLDPAK
					DELPAK DELFILE Q

	RECV   : Receives an .ODB data file
		          or an .OPL procedure text file
			     or an .OB3 procedure binary file
			     from the PC.

	XMIT   : Transmits an .ODB, .OPL or .OB3 to the PC.

	BLDPAK : Gets all the OPL files listed in an .ODB data file.
		    Here is the VCOMM.ODB file to use as an example:

						vcomm
						vrx
						vtx
						vbld
						vld
						vmc
						vpc
						vmodem
						vinitm
						vdial_
						vbkstk
						vextn$
						vrecv
						vloc$
						vrem$
						vsend
						vtype_
						vudg
						vdel
						vgetlis$
						vdelopl$
						vgetopl
						vdelpak
						bar

		    Note: If your procedure names end in a "%", rename the
				procedure so that it ends in a "_" and use this name
				in the list as shown for vdial_ above.

			 	DO NOT CHANGE	ANY SOURCE CODE WHATSOEVER. (Don't ask.)
				*******************************************************


	DELPAK : Deletes all the OPL files listed in an .ODB data file.

	DELFILE: Deletes a single .ODB, .OPL or .OB3 file

	Q      : Quits and returns to the VCOMM menu.




	REMOTE PC

	Selecting MODEM from the VCOMM menu asks you to connect the modem
	and then prompts for the telephone number.

	It is assumed that CL is running on the remote PC and the remote Hayes
	compatible modem is in auto answer mode.

	When the connection has been confirmed, you can choose from the
	following menu:


					RECV SEND QUIT

	You will now be prompted to receive or send data files or procedure
	files.

					AT THE COMPUTER
					---------------

	PARAMETERS TO CL

	The full syntax of CL is:

	CL [BAUD,PORT,MODE,STRING]

	where you may omit trailing parameters.

	The parameters are:

	BAUD
	Selects the Baud rate. Should be set to one of 300, 600, 1200,
	2400, 4800, 9600 with a default of 9600. 

	PORT
	Selects the serial port. Should be set to 1 or 2 to select the
	main port or the secondary port respectively with a default of
	1 to select the main port. This parameter corresponds to the 
	n in the DOS command MODE COMn:baud. See your DOS manual for 
	more details.

	MODE
	Selects the mode of operation. Should be set to 0, 1 or 2 with a
	default of 0. The default of 0 should be used in a direct
	connection and either 1 or 2 should be used when connected to a
	modem (with the modem in auto answer mode). When MODE is 0, CL
	will immediately attempt to link with the Organiser. When MODE is
	1, CL will wait until DSR is asserted before it will attempt to
	link. When MODE is 2, CL will wait until DCD is asserted before
	it will attempt to link. 

	STRING
	The STRING parameter specifies one or more commands to be sent to
	the modem before proceeding with the link connection. By default,
	no data is sent to the modem. This parameter would be used to
	configure a sophisticated modem. Any backslash character (\) in
	the string is converted to a <CR>. 

	Examples:

	(1) Use the secondary port in a direct connection:

	CL 9600,2

	(2) Use an auto-answer modem, waiting for Carrier Detect:

	CL 1200,1,2

	(3) Configure a Hayes(TM) command set compatible modem, resetting 
	the modem and then setting it to auto-answer after 3 rings:

	CL 1200,1,2,ATZ\ATS0=3\


				USING THE BARCODE READER
				------------------------

	1.	To use the barcode reader you will need an OPL program that calls
		the barcode reading procedure BAR$: On the disk, and in memory,
		there is a program called BAR: that demonstrates how to do this.

	2.	Call BAR: - either from the Organiser top menu or from PROG.
		(See the Organiser PROGRAMMING manual).  The prompt
		"Scan barcode" will be displayed.

	3.	Holding the wand lightly, place the tip in contact with the paper
		a couple of centimeters from one end of the barcode.

	4.	Draw the wand tip across the whole barcode using a smooth light
		action. Try different angles and speeds: you should soon be able
		to read a good quality barcode on every scan.

		The decoded barcode character string will be dispalyed on the
		Organiser screen.

	5.	The barcode wand switches itself ON when in contact with a
		reflective (white) surface so remove the wand tip from the paper
		when not reading barcodes so as not to waste battery power.



				PROGRAMMING FOR BARCODE READING
				-------------------------------

					(insert existing sheets)



						OPL COMMS PROCEDURES
						--------------------

	LSET:	Sets the communications parameters as follows.


		LSET:(baud%,parity%,bits%,stop%,hand%,echo%,width%,

			reol$,reof$,rtrn$,teol$,teof$,ttrn$,timeout%,protocol%)


		The parameters may only take the following values:

													Default
													-------

		Baud%	50,75,110,150,300,600,1200,2400,4800,9600	9600
		Parity%	0(none),1(odd),2(even),3(mark),4(space)		none
		Bits%	7,8									8
		Stop%	1,2									1
		Hand%	0(none),1(xon),2(rts),3(xon+rts),4(dtr),	xon
				5(xon+dtr),6(rts+dtr),7(all)
		Echo%	0(local),1(host)						host
		Width%	None, 1 to 250 characters/line			none
		Reol$	None, 1 or 2 characters (in ASCII code)		<cr><lf>
		Reof$	None, 1 or 2 characters (in ASCII code)		<sub>
		Rtrn$	None, 1 or 2 characters (in ASCII code)		none
		Teol$	None, 1 or 2 characters (in ASCII code)		<cr><lf>
		Teof$	None, 1 or 2 characters (in ASCII code)		<sub>
		Ttrn$	None, 1 or 2 characters (in ASCII code)		none
		Timeout%	None, an integer between 1 and 255           none
		Protocol%	0(none),1(xmodem),2(PSION)				none

		Calling LSET: with no parameters resets to the default values.
		Using the value "-1," for any parameter leaves the value unchanged.
		To change an ASCII code parameter to "none", use double quotes "",.


	XTSEND:	Sends a file to the PC.

				XTSEND:(remote$,local$,type%)

	XTRECV:	Receives a file from the PC.

				XTRECV:(remote$,local$,type%)


		The parameters are as follows:

		Local$	When sending:
				Use the name of the file on the Organiser that is to be
				sent to, or received from, the computer. Include the
				device name. e.g. A:FILENAME

				Do not include the file extension.

				When receiving:
				Use the name that is to be given to the local file when
				it reaches the Organiser. Include the device name.
				e.g. A:FILENAME


				Do not include the file extension.


		Remote$	When sending:
				Use the name that is to be given to the local file when
				it reaches the computer. You may include the DOS pathname
				and also the file extension if you wish.

				The Organiser display will prompt you to use "/" for
				the usual pathname backslash "\" as this character
				does not appear on the Organiser keypad.

				When receiving:
				Use the name of the file on the computer 
				that is to be received by the Organiser.
				You may include the DOS pathname
				and also the file extension if you wish.

				The Organiser display will prompt you to use "/" for
				the usual pathname backslash "\" as this character
				does not appear on the Organiser keypad.
				


		Type%	0 = Database files with the extension .ODB
				1 = Procedure files (text), with the extension .OPL
				3 = Procedure files (binary), with the extension .OB3




					DEMONSTRATION PROGRAM
					-----------------------

	COMM.OPL 		Shows how to log on to a Hayes modem.



					USING DATA FILES
					----------------

	There is a suite of seven OPL procedures on the disk under the program
	name of STOCK.	STOCK can be used as an example program for simple
	data file handling. SCAN enables you to scan or key in Product Numbers
	and Product Quantities into a data file called PRODUCT.ODB. This file
	can then be edited and sent to the PC from the VCOMM menu.

	To load STOCK into the Organiser, go to the VCOMM PC menu and select
	BLDPAK. Enter the filename STOCK when prompted. VCOMM will place the
	STOCK procedures into the Datapack of your choice. You may then run
	STOCK from the Organiser top menu or from the PROG menu.



